/* /Pages/Admin/BuildingAnimation/Index.cshtml.rz.scp.css */
/* /Pages/Admin/Components/Index.cshtml.rz.scp.css */
table[b-d7mkl7go7d] {
    --bs-table-bg: unset !important;
}

    table .header-detail[b-d7mkl7go7d] {
        border-bottom-width: 3px;
    }
/* table > thead > tr > th { */
/*     background: #eee !important; */
/* } */

.border-right[b-d7mkl7go7d] {
    /* border-right: 1px solid #ccc; */
}

.border-left[b-d7mkl7go7d] {
    /* border-left: 1px solid #ccc; */
}

.dev-header strong[b-d7mkl7go7d] {
    display: block;
    margin-bottom: 0.4rem;
}

.import-source[b-d7mkl7go7d] {
    background-color: white;
    border-radius: 4px;
    margin-bottom: 0;
    font-family: monospace;
    padding: .1rem 0;
}

    .import-source p[b-d7mkl7go7d] {
        margin: 0;
    }

    .import-source span[b-d7mkl7go7d] {
        margin: 0 1rem 0 0;
        display: inline-block;
    }

    .import-source button[b-d7mkl7go7d] {
        border: none;
        padding: 0 0.4em;
        background: none;
        text-decoration: underline;
        outline: none;
    }

        .import-source button:hover[b-d7mkl7go7d] {
            font-weight: bold;
        }

.usage[b-d7mkl7go7d] {
    display: inline-block;
    background-color: #d1cbff;
    border-radius: 4px;
    padding: 0px 4px;
    border: 1px solid grey;
    font-size: 14px;
    white-space: nowrap;
    font-weight: bolder;
}

    .usage.anim_building[b-d7mkl7go7d] {
        background-color: #e2ffcb;
    }

    .usage.anim_detail[b-d7mkl7go7d] {
        background-color: #cbddff;
    }

    .usage.detail[b-d7mkl7go7d] {
        background-color: #ffefcb;
    }

.key[b-d7mkl7go7d] {
    font-family: monospace;
}

td.key[b-d7mkl7go7d] {
    font-size: 13px;
    /* padding-left: 1rem !important; */
}

.key span[b-d7mkl7go7d] {
    border-radius: 4px;
    background-color: #eee;
    border: 1px solid grey;
    padding: 2px 6px 2px 3px;
    margin-left: 2px;
}

/* h4.key { */
/*     margin-bottom: 2rem; */
/* } */

.dropdown-cell:hover[b-d7mkl7go7d] {
    background-color: #eee;
}


.selected-row[b-d7mkl7go7d] {
    background-color: #ffffff;
    box-shadow: 0 0 25px 5px #e5e5e5;
    z-index: 5;
    position: relative;
    border-radius: 2px;
    overflow: hidden;
    outline: 2px solid #272b31;
    transition: transform 0.4s ease;
}

#table-details-overlay[b-d7mkl7go7d] {
    position: fixed;
    display: none;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 100;
    height: 100vh;
    width: 100vw;
}

    #table-details-overlay .content[b-d7mkl7go7d] {
        bottom: 1rem;
        position: absolute;
        background: white;
        padding: 2rem 4rem 2rem 24rem;
        box-shadow: 0 0 28px 5px #dbdbdb;
        z-index: 100;
        left: 3rem;
        right: 3rem;
        min-height: 34rem;
        max-height: 80vh;
        overflow: auto;
        border-radius: 8px;
        border: 3px solid white;
    }

        #table-details-overlay .content .header[b-d7mkl7go7d] {
            display: flex;
            flex-direction: row;
            margin-bottom: 2rem;
        }

            #table-details-overlay .content .header h4[b-d7mkl7go7d] {
                flex-grow: 1;
            }

    /* #table-details-overlay .content input { */
    /*     width: 100%; */
    /*     display: block; */
    /* } */

    #table-details-overlay .background[b-d7mkl7go7d] {
        top: 0;
        z-index: 10;
        height: 100vh;
        width: 100vw;
        background: rgb(177 177 177 / 14%);
    }

.anim_building[b-d7mkl7go7d] {
    display: block;
    margin: 1rem 0;
}

.tools-list[b-d7mkl7go7d] {
    display: flex;
    gap: 1rem;
    margin-bottom: 1rem;
}

#toolsList[b-d7mkl7go7d] {
    background: #ededed;
    padding: 0.5rem;
    border-radius: 6px;
    display: inline;
}

.deleted[b-d7mkl7go7d] {
    transform: scaleY(0.2);
    transform-origin: center;
    background-color: #ff6969;
    outline: 2px solid #761e1e;
}

td.cat-C_NONE[b-d7mkl7go7d] {
    color: #b3b3b3;
}

td.cat-C_CONSTRUCTION[b-d7mkl7go7d] {
    color: #224fb9;
}

td.cat-C_FLOOR[b-d7mkl7go7d] {
    color: #16875e;
}

td.cat-C_WALL[b-d7mkl7go7d] {
    color: #7d3699;
}

td.ren-K[b-d7mkl7go7d] {
    color: #b3b3b3;
}

td.ren-N[b-d7mkl7go7d] {
    color: #e95252;
}

td.ren-R[b-d7mkl7go7d] {
    color: #349d34;
}

td.hatch-H_NONE[b-d7mkl7go7d] {
    color: #b3b3b3;
}

/* /Pages/Admin/CoreData/Glossary/Index.cshtml.rz.scp.css */
textarea[b-aulqznhmdn] {
    height: 100%;
}

div.preview[b-aulqznhmdn] {
    tab-size: 4;
    background-color: white;
    border-radius: 4px;
    padding: 1rem;
}

    div.preview > h2[b-aulqznhmdn] {
        margin: 3rem 0 0 !important;
    }

    div.preview > h3[b-aulqznhmdn] {
        margin: 3rem 0 0 !important;
    }
  
/* /Pages/Admin/Projects/Edit.cshtml.rz.scp.css */
body[b-0d2819kl60] {
}

pre.preview[b-0d2819kl60] {
    white-space: pre;
    tab-size: 4;
    background-color: white;
    border-radius: 4px;
    padding: 1rem;
}

textarea[b-0d2819kl60]{
    height: 100%;
}
/* /Pages/Admin/Projects/Index.cshtml.rz.scp.css */


.project[b-qhv2hje70m] {
    width: 14rem;
    min-height: 14rem;
    padding: 0;
    text-align: center;
    display: flex;
    flex-direction: column;
    position: relative;
    background-color: white;
}

    .project .project-img[b-qhv2hje70m] {
        width: 100%;
        height: 14rem;
    }

    .project-img > img[b-qhv2hje70m] {
        object-fit: contain;
        object-position: center;
        width: 100%;
        height: 100%;
    }


.project:hover .card-overlay[b-qhv2hje70m] {
    opacity: 1; /* Sichtbar machen */
    pointer-events: auto; /* Klicks wieder erlauben */
}

.project .project-header[b-qhv2hje70m] {
    margin-top: .5rem;
}

.project.active[b-qhv2hje70m] {
    outline: 7px solid #3788ff;
}

.project a[b-qhv2hje70m],
.project a:hover[b-qhv2hje70m],
.project a:focus[b-qhv2hje70m],
.project a:active[b-qhv2hje70m],
.project a:visited[b-qhv2hje70m] {
    text-decoration: none !important;
}
/*.project > a {
    text-decoration: none !important;
}*/

.project .project-header > h3[b-qhv2hje70m] {
    font-size: 1.5rem;
    padding: 0 .7rem;
    color: black;
    text-decoration: none !important;
    margin: 0;
}

.project .project-header > small[b-qhv2hje70m] {
    display: block;
    margin-bottom: .6rem;
}


.card-overlay[b-qhv2hje70m] {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.7);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 15px;
    opacity: 0;
    transition: opacity 0.2s ease-in-out;
    /* Verhindert Klicks, wenn unsichtbar */
    pointer-events: none;
}

/* /Pages/App/Index.cshtml.rz.scp.css */
.info-icon[b-uevhjhpqx9] {
    position: absolute;
    top: 2%;
    right: 10%;
    background: black;
    color: white;
    font-weight: bolder;
    font-size: 1rem;
    border-radius: 0;
    border: none;
    outline: none;
    padding: .5% 1%;
}
/* /Pages/Shared/_Layout.cshtml.rz.scp.css */
/* Please see documentation at https://learn.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand[b-ks9r5h9myp] {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

a[b-ks9r5h9myp] {
  color: #0077cc;
}

.btn-primary[b-ks9r5h9myp] {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.nav-pills .nav-link.active[b-ks9r5h9myp], .nav-pills .show > .nav-link[b-ks9r5h9myp] {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.border-top[b-ks9r5h9myp] {
  border-top: 1px solid #e5e5e5;
}
.border-bottom[b-ks9r5h9myp] {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow[b-ks9r5h9myp] {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy[b-ks9r5h9myp] {
  font-size: 1rem;
  line-height: inherit;
}

.footer[b-ks9r5h9myp] {
    width: 100%;
    white-space: nowrap;
    background: #333;
    color: white !important;
    padding: 1rem 3rem;
}
    .footer ul[b-ks9r5h9myp] {
        list-style: none;
        padding: 0;
        border: 0;
        margin: 0;
        font: inherit;
        letter-spacing: inherit;
        vertical-align: baseline;
    }
        .footer ul > li[b-ks9r5h9myp] {
            padding: .3rem 0;
        }
            .footer ul > li > a[b-ks9r5h9myp] {
                color: #ddd !important;
                text-decoration: none;
            }
                .footer ul > li > a:hover[b-ks9r5h9myp] {
                    color: white !important;
                }


.copyright[b-ks9r5h9myp] {
    color: #ddd;
}
/* /Pages/Shared/_LayoutAdmin.cshtml.rz.scp.css */

.admin-background[b-twb3ldfvjz] {
    background-color: rgb(245 245 245);
}

.digikon-navigation .btn[b-twb3ldfvjz]{
    box-shadow: none;
}

.nav-section-title[b-twb3ldfvjz] {
    /*    border-bottom: 1px solid #8e9aa1;*/
    margin-top: 2rem;
}
    .nav-section-title > div[b-twb3ldfvjz] {
        display: flex;
        align-items: center;
    }

    .nav-section-title .language-selector[b-twb3ldfvjz] {
        margin-left: 2rem;
    }

.nav-section-title p[b-twb3ldfvjz] {
    margin: 0 0 .1rem;
    font-size: .9rem;
    color: #a7acb5;
    font-weight: 500;
}
